#!/bin/bash

installDebianUbuntu()
{
    if [[ "$OS_TYPE" == "Ubuntu" || "$OS_TYPE" == "Debian" ]]; then
        if checkIfOSUpdateShouldRun; then
            installed_apps="apt install curl dialog pv wget git zip htop sqlite3 pv sshpass rsync acl apache2-utils inotify-tools jq p7zip*"
            
            isNotice "Installing System Updates... this may take a while."
            if [[ "$OS_TYPE" == "Debian" ]]; then
                export DEBIAN_FRONTEND="noninteractive"
            fi

            local result=$(DEBIAN_FRONTEND=noninteractive APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE=1 apt update -qq 2>&1 && DEBIAN_FRONTEND=noninteractive APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE=1 apt install sudo -yqq 2>&1 && apt-get autoclean 2>&1)
            checkSuccess "Updating System Operating system."

            local result=$(DEBIAN_FRONTEND=noninteractive APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE=1 runSystem apt update -qq 2>&1)
            checkSuccess "Running application update"
            
            local result=$(DEBIAN_FRONTEND=noninteractive APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE=1 sudo $installed_apps -yqq 2>&1)
            checkSuccess "Installing system applications"
        else
            isNotice "System Updates already ran within the last ${CFG_UPDATER_CHECK} minutes, skipping..."
        fi
        sudo mkdir -p "$(dirname "$sysctl")"
        sudo touch $sysctl
    fi
}
